Bug 911741 - [RFE] Lot of old systems showing up on Satellite Server on Kickstart overview page
[RFE] Lot of old systems showing up on Satellite Server on Kickstart overvie...
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stephen Herr
Red Hat Satellite QA List
: FutureFeature, Triaged
Depends On:
Blocks: spacewalk-rfe space19
  Show dependency treegraph
Reported: 2013-02-15 15:14 EST by Stephen Herr
Modified: 2013-03-21 07:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 491795
Last Closed: 2013-03-06 13:34:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stephen Herr 2013-02-15 15:14:01 EST
We should be able to delete old system records created on "Kickstart Overview" page.

2) Nature Of Problem:
When we kickstart any system using satellite server then entry get created
on satellite in "Kickstart Overview" Page, with following details

Systems Currently Kickstarting

System profile name / IP address, Boot Image, Kickstart Status, Last


Here we get list of systems which are installed using Bare metal kickstart
of satellite server. 

In following cases system entry remains on "Kickstart Overview" page

1. If we kickstart system and register, then delete system profile from
the satellite server.
2. If the kickstart is completed and if we do not register the system to
satellite server.
3. If the kickstart failed in between. 

But currently there is no feature available to delete entries manually on
this page.

4) Functional Requirements That Are Not Presently Possible:
When we go to "Kickstart Overview" page on satellite server, 

Login to satellite server from WebUI -> Systems -> Kickstart  [Systems
Currently Kickstarting]

Here we can see the list of systems which are kickstarted from satellite
server, which are successfully installed and registered , installation
failed, installation was incomplete/aborted. 

Currently it is not possible to delete old system records from this page.
Customer want option to manually delete these system records.

--- Additional comment from Stephen Herr on 2013-02-14 15:54:17 EST ---

This bug is quite old and a lot has changed since Satellite 5.2, but I think there are at least 2 things that we can do that are related to this request.

1) (bug) Completed kickstarts still show up under the "Systems Currently Kickstarting" list. They should not.

2) (RFE) If there is an error or something during kickstart the kickstart session will show up on the "Systems Currently Kickstarting" list until you either 1) cancel the kickstart or 2) delete the system profile. We should make it possible to cancel multiple kickstarts at a time from this page.

I don't believe that it's true anymore that kickstart records will stick around after the system profile is deleted. I will install a Satellite 5.4 to double-check the behavior on that version.

--- Additional comment from Stephen Herr on 2013-02-15 15:10:11 EST ---

Actually, I upon testing I think that #2 (in comment 8) is no longer necessary.

Modern Satellites understand that if the kickstart has not checked in in a long time then something must have happened and the kickstart has failed. They will mark the kickstart session as having failed, which means that it will no longer show up in the "Systems Currently Kickstarting" list. The list is now self-cleaning, we don't need to add the ability to manually clean it.

I will still fix #1 from comment 8, a system should not show up on that list as soon as it's finished kickstarting. But if there are no objections then I won't do anything else based on this bug.
Comment 1 Stephen Herr 2013-02-15 15:17:22 EST
Committed to Spacewalk master: 184fedb21d7620ced984b48fb34fa6ed03633cac
Comment 2 Stephen Herr 2013-03-01 12:07:12 EST
Marking bug as ON_QA since tonight's build of Spacewalk nightly is a release candidate for Spacewalk 1.9.
Comment 3 Stephen Herr 2013-03-06 13:34:37 EST
Spacewalk 1.9 has been released.


Note You need to log in before you can comment on or make changes to this bug.